package com.jxml.quick.qmap;
import java.util.*;

public class QKeyedBase implements QKeyed
{
	public Object key=null;

	public QKeyedBase(){}

	public QKeyedBase(Map container, Object key)
	{
		this.key=key;
		attach(container);
	}

	public Object key()
	{
		return key;
	}

	public void attach(Map container)
	{
		if (container!=null)
			container.put(key(),this);
	}
}
